#!/bin/csh
# Process .def files created by find-defs.sh, filtering through
# awk to produce an sorted index of macros with lists of the files
# wherein they are defined.
# Usage:
#	make-index.sh dir-where-.def-files-are
# [21-Feb-1990]
set HOMEDIR=`pwd`
pushd $1
ls *.def | set total=`wc -l`
set n=0
foreach f (*.def)
	@ n++
	nawk -f $HOMEDIR/def.awk $f | sort -uf >$f:r.srt
	echo "[$n of $total]:	$f"
end
echo "Making INDEX file"
nawk -f $HOMEDIR/index.awk *.srt |\
	sort -uf |\
	nawk -f $HOMEDIR/wrap.awk >$HOMEDIR/INDEX
popd
echo '[Done]'
